classification
Title: --without-pymalloc broken
Type: compile error Stage: resolved
Components: Build Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: eric.snow Nosy List: eric.snow, skrah
Priority: normal Keywords: patch

Created on 2017-09-10 15:36 by skrah, last changed 2017-09-12 00:02 by eric.snow. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 3507 merged eric.snow, 2017-09-11 23:08
Messages (4)
msg301810 - (view) Author: Stefan Krah (skrah) * (Python committer) Date: 2017-09-10 15:36
./configure --without-pymalloc produces:

Objects/obmalloc.c: In function ‘bumpserialno’:
Objects/obmalloc.c:1326:21: error: ‘struct _pymem_runtime_state’ has no member named ‘serialno’
     ++_PyRuntime.mem.serialno;
                     ^
Objects/obmalloc.c: In function ‘_PyMem_DebugRawAlloc’:
Objects/obmalloc.c:1417:44: error: ‘struct _pymem_runtime_state’ has no member named ‘serialno’
     write_size_t(tail + SST, _PyRuntime.mem.serialno);
                                            ^
Objects/obmalloc.c: In function ‘_PyMem_DebugRawRealloc’:
Objects/obmalloc.c:1502:44: error: ‘struct _pymem_runtime_state’ has no member named ‘serialno’
     write_size_t(tail + SST, _PyRuntime.mem.serialno);
                                            ^
msg301924 - (view) Author: Eric Snow (eric.snow) * (Python committer) Date: 2017-09-11 22:59
I'm looking into this.
msg301925 - (view) Author: Eric Snow (eric.snow) * (Python committer) Date: 2017-09-11 23:10
I've verified that the PR fixes the problem.
msg301928 - (view) Author: Eric Snow (eric.snow) * (Python committer) Date: 2017-09-12 00:02
New changeset ba6d5d1defd7a281c8c8804e4b4cfd7370886236 by Eric Snow in branch 'master':
bpo-30860: Always provide serialno. (#3507)
https://github.com/python/cpython/commit/ba6d5d1defd7a281c8c8804e4b4cfd7370886236
History
Date User Action Args
2017-09-12 00:02:52eric.snowsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2017-09-12 00:02:29eric.snowsetmessages: + msg301928
2017-09-11 23:10:04eric.snowsetmessages: + msg301925
2017-09-11 23:08:44eric.snowsetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request3502
2017-09-11 22:59:40eric.snowsetassignee: eric.snow
messages: + msg301924
2017-09-10 15:36:36skrahcreate